Subject: bug#62154: closed (Re: [bug#62154] [PATCH 4/4] gnu: inetutils: Apply formatting rules (non-functional change).)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 20 Jan 2024 19:51:02 +0000

Your bug report

#62154: [PATCH core-updates 0/4] gnu: inetutils: Update to 2.4.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
62154: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=62154
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#62154] [PATCH 4/4] gnu: inetutils: Apply formatting rules (non-functional change).
From: Maxim Cournoyer <[email-masked]>
To: Felix Lechner <[email-masked]>
Cc: [email-masked]
Date: Sat, 20 Jan 2024 14:50:27 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Felix,

Felix Lechner <[email-masked]> writes:

> * gnu/packages/admin.scm (inetutils): Apply formatting rules (non-functional
> change).
> ---
>  gnu/packages/admin.scm | 12 ++++++------
>  1 file changed, 6 insertions(+), 6 deletions(-)
>
> diff --git a/gnu/packages/admin.scm b/gnu/packages/admin.scm
> index 6c1c1aca1e..5a0e12d05c 100644
> --- a/gnu/packages/admin.scm
> +++ b/gnu/packages/admin.scm
> @@ -898,12 +898,12 @@ (define-public inetutils
>      (name "inetutils")
>      (version "2.4")
>      (source (origin
> -             (method url-fetch)
> -             (uri (string-append "mirror://gnu/inetutils/inetutils-"
> -                                 version ".tar.xz"))
> -             (sha256
> -              (base32
> -               "1ck81y6x0bk1qaripfsrbfzrrzaxkzp37ddpg8mgwzd5n6qxd28p"))))
> +              (method url-fetch)
> +              (uri (string-append "mirror://gnu/inetutils/inetutils-"
> +                                  version ".tar.xz"))
> +              (sha256
> +               (base32
> +                "1ck81y6x0bk1qaripfsrbfzrrzaxkzp37ddpg8mgwzd5n6qxd28p"))))
>      (build-system gnu-build-system)
>      (arguments
>       (list

I've applied the parts that hadn't been made already to core-updates,
except the "this-package-input" change in the configure flags, which I
think is best suited for a search-input-file (it provides better error
reporting in case something is wrong).

-- 
Thanks,
Maxim

Subject: [PATCH 0/4] gnu: inetutils: Update to 2.4.
From: Felix Lechner <[email-masked]>
To: [email-masked]
Cc: Felix Lechner <[email-masked]>
Date: Sun, 12 Mar 2023 18:19:52 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Below please find a patch to update GNU Inetutils to the latest version.

There are some remaining 'lint' warnings.

> gnu/packages/admin.scm:937:12: [email-masked]: label 'coreutils*' does not match package name 'coreutils'

I was unable to convert the regular inputs due to the asterisk in coreutils.

> gnu/packages/admin.scm:948:5: [email-masked]: proposed description:
>      "Inetutils is a collection of common network programs, such as an ftp
> client and server, a telnet client and server, and an rsh client and server."

The suggested description leaves out the 'hostname' command.

> gnu/packages/admin.scm:900:12: [email-masked]: source not archived on Software Heritage and missing from the Disarchive database

We could pull the sources from Git, but Guix seems to prefer tarballs.

Finally, there is a compilation warning related to the ordering of
(define-public ...). 'shadow' follows immediately below.

> guix build: error: gnu/packages/admin.scm:897:2: package [email-masked]' has an invalid input: #<package [email-masked]
> gnu/packages/admin.scm:955 7f15cd722c60>"

Felix Lechner (4):
  gnu: Update inetutils to 2.4; use tar.xz.
  gnu: inetutils: Convert to gexp.
  gnu: inetutils: Use new-style inputs.
  gnu: inetutils: Apply formatting rules (non-functional change).

 gnu/packages/admin.scm | 68 ++++++++++++++++++++++--------------------
 1 file changed, 35 insertions(+), 33 deletions(-)

base-commit: 9584b1daa687d1212550841d1c5f62e7ffa44ffc
-- 
2.39.1